package jp.co.powerbeans.common.swt;

import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.events.MouseListener;

/**
 * 汎用マウスイベントハンドラ(シングルクリック)
 * @author amonden
 */
public class CmdRSingleClickMouseListener implements MouseListener {

	/**
	 * コマンド.実行するメソッド名の "cmd" 以降を表す
	 */
	private String cmd;
	/**
	 * コマンドディスパッチャ
	 */
	private PBCmdDispatch dispacher;

	public CmdRSingleClickMouseListener(PBCmdDispatch dispacher, String cmd) {
		this.cmd = cmd;
		this.dispacher = dispacher;
	}

	/* (非 Javadoc)
	 * @see org.eclipse.swt.events.MouseListener#mouseDoubleClick(org.eclipse.swt.events.MouseEvent)
	 */
	public void mouseDoubleClick(MouseEvent e) {
		// 処理無し
	}

	/* (非 Javadoc)
	 * @see org.eclipse.swt.events.MouseListener#mouseDown(org.eclipse.swt.events.MouseEvent)
	 */
	public void mouseDown(MouseEvent e) {
//		dispatchCmd(this.cmd);
		// TODO ここで右クリックの場合のみdispatchを呼び出す
		this.dispacher.dispatchCmd(this.cmd, null);
	}

	/* (非 Javadoc)
	 * @see org.eclipse.swt.events.MouseListener#mouseUp(org.eclipse.swt.events.MouseEvent)
	 */
	public void mouseUp(MouseEvent e) {
		// 処理無し
	}
}