package jp.co.powerbeans.common.swt;


import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;

/**
 * メニュー、ボタン選択時の汎用イベントハンドラ
 * @author amonden
 */
public class CmdSelectionAdapter extends SelectionAdapter {

	/**
	 * コマンド.実行するメソッド名の "cmd" 以降を表す
	 */
	private String cmd;
	/**
	 * コマンドディスパッチャ
	 */
	private PBCmdDispatch dispacher;
	/**
	 * ハンドラから実行するメソッドの引数
	 */
	private Object[] args;

	/**
	 * コンストラクタ. 実行メソッドの引数がない場合
	 * @param dispacher ディスパッチャ
	 * @param cmd コマンド
	 */
	public CmdSelectionAdapter(PBCmdDispatch dispacher, String cmd) {
		this.cmd = cmd;
		this.dispacher = dispacher;
	}

	/**
	 * コンストラクタ. 実行メソッドの引数を指定する場合
	 * @param dispacher ディスパッチャ
	 * @param cmd コマンド
	 * @param args 実行メソッドに渡すパラメータ
	 */
	public CmdSelectionAdapter(PBComposite dispacher, String cmd, Object[] args) 
	{
		this.cmd = cmd;
		this.dispacher = dispacher;
		this.args = args;
	}

	/* (非 Javadoc)
	 * @see org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt.events.SelectionEvent)
	 */
	public void widgetSelected(SelectionEvent e) {
		this.dispacher.dispatchCmd(this.cmd, args);
	}
}