package jp.co.powerbeans.vbscore.chart;

import jp.co.powerbeans.common.chart.ChartUtil;
import jp.co.powerbeans.vbscore.model.PlayerRanking;
import jp.co.powerbeans.vbscore.model.RankingDef;
import jp.co.powerbeans.vbscore.model.Team;

import org.jfree.chart.JFreeChart;

/**
 * IDVolleyに依存するChartUtil
 * 
 * @author amonden
 * 
 */
public class VBChartUtil {

  /**
   * プレイヤーランキングからPieChartを作成
   * 
   * @param player_ranking
   * @return
   */
  public static JFreeChart createPlayerRankingPieChart(Team team, PlayerRanking[] player_ranking,
      RankingDef rankingDef) {
    boolean times_data = rankingDef.getRankingDefId() == 4;
    String data_col = times_data ? "times" : "pser";
    String[] labels = times_data ? new String[] { "name", "timesName" } : new String[] {
        "name", "pser" };
    
    return ChartUtil.createPieChartByBeans(team.getTeamName() + "-" + rankingDef.getRankingName(),
        player_ranking, labels, data_col);
  }

  /**
   * @param team
   * @param player_ranking
   * @param ranking_def
   * @return
   */
  public static JFreeChart createPlayerRankingBarChart(Team team, PlayerRanking[] player_ranking, RankingDef ranking_def) {
    boolean times_data = ranking_def.getRankingDefId() == 4;
    String data_col = times_data ? "times" : "pser";
    String[] labels = times_data ? new String[] { "name", "timesName" } : new String[] {
        "name", "pser" };
    
    return ChartUtil.createBarChartByBeans(team.getTeamName() + "-" + ranking_def.getRankingName(),
        player_ranking, labels, data_col, ranking_def.getRankingName());
    
  }
}
