package jp.co.powerbeans.vbscore.logic.ranking;

import java.lang.reflect.Constructor;

import jp.co.powerbeans.vbscore.model.RankingDef;

/**
 * ランキングアナライザFactory
 * @author amonden
 */
public final class RankingAnalyzerFactory {

	/**
	 * コンストラクタ
	 */
	private RankingAnalyzerFactory() {
		super();
	}

	/**
	 * Impls定義
	 */
	private static final Class[] impls = {
		null,
		ServiceAceAnalyzer.class,
		ServiceMissAnalyzer.class,
		ServCutAnalyzer.class,
		SpikeNumAnalyzer.class,
		SpikePointAnalyzer.class
	};
	
	/**
	 * アナライザ生成メソッド
	 * @param def キーとなるRankingDefクラス
	 * @return 戻り値
	 */
	public static RankingAnalyzer createInstance(RankingDef def) {
		try {
			Class cls = impls[def.getRankingDefId()];
			Constructor cons = cls.getConstructor(new Class[]{RankingDef.class});
			return (RankingAnalyzer) cons.newInstance(new Object[]{def});
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}
}
