package jp.co.powerbeans.vbscore.logic.ranking;

import java.util.Date;

import jp.co.powerbeans.vbscore.model.ActionDef;
import jp.co.powerbeans.vbscore.model.ActionResultDef;
import jp.co.powerbeans.vbscore.model.Game;
import jp.co.powerbeans.vbscore.model.PlayerRanking;
import jp.co.powerbeans.vbscore.model.RankingDef;

/**
 * スパイクポイント数アナライザ.
 * スパイクポイント / スパイク打数 の割合を表示.
 * @author amonden
 */
public class SpikePointAnalyzer extends AnalyzerBase {

	/**
	 * コンストラクタ
	 * @param ranking_def
	 */
	public SpikePointAnalyzer(RankingDef ranking_def) {
		super(ranking_def);
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.vbscore.logic.ranking.RankingAnalyzer#analyze(int, java.util.Date, java.util.Date)
	 */
	public PlayerRanking[] analyze(int team_id, Date from_dt, Date to_dt) {
		return analyze(team_id, null, from_dt, to_dt,  ActionDef.SPIKE, ActionResultDef.SPIKE_POINT);
	}

	public PlayerRanking[] analyze(int team_id, Game[] games, Date from_dt, Date to_dt) {
		return analyze(team_id, games, from_dt, to_dt,  ActionDef.SPIKE, ActionResultDef.SPIKE_POINT);
	}

}
