package jp.co.powerbeans.vbscore.model;



/**
 * セット情報.
 * 先発メンバー,結果スコア,セット数を保持する
 * @author amonden
 */
public class GameSet extends VBSModel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5034988866544633885L;
	/**
	 * セットID
	 */
	private int gameSetId;
	/**
	 * 試合ID
	 */
	private int gameId;
	/**
	 * このセットのセット数
	 */
	private int setNum;
	/** 最初のサーブ権を保持するチームID */
	private int serveStartTeamID;
	
	/** 自チーム最終スコア */
	private int myResultScore;
	/** 相手チーム最終スコア */
	private int vsResultScore;
	
	/** 勝利チームID (0 = 未確定) */
	private int winTeamId;
	
	/** 自チーム先発メンバー選手ID(サーブ順1..6) */ 
	private int myPlayerId1;
	private int myPlayerId2;
	private int myPlayerId3;
	private int myPlayerId4;
	private int myPlayerId5;
	private int myPlayerId6;
	private int myPlayerId7; // リベロ
	
	/** 相手チーム先発メンバー選手ID(サーブ順1..6) */ 
	private int vsPlayerId1;
	private int vsPlayerId2;
	private int vsPlayerId3;
	private int vsPlayerId4;
	private int vsPlayerId5;
	private int vsPlayerId6;
	private int vsPlayerId7; // リベロ
	
	/** 自チーム現在のプレー選手ID(サーブ順1..6) */
	private int myPlayingPlayerId1;
	private int myPlayingPlayerId2;
	private int myPlayingPlayerId3;
	private int myPlayingPlayerId4;
	private int myPlayingPlayerId5;
	private int myPlayingPlayerId6;
	private int myPlayingPlayerId7; // リベロ
	
	/** コメント */
	private String comment;
	
	public int getGameId() {
		return gameId;
	}
	public void setGameId(int gameId) {
		this.gameId = gameId;
	}
	public int getMyPlayerId1() {
		return myPlayerId1;
	}
	public void setMyPlayerId1(int myPlayerId1) {
		this.myPlayerId1 = myPlayerId1;
	}
	public int getMyPlayerId2() {
		return myPlayerId2;
	}
	public void setMyPlayerId2(int myPlayerId2) {
		this.myPlayerId2 = myPlayerId2;
	}
	public int getMyPlayerId3() {
		return myPlayerId3;
	}
	public void setMyPlayerId3(int myPlayerId3) {
		this.myPlayerId3 = myPlayerId3;
	}
	public int getMyPlayerId4() {
		return myPlayerId4;
	}
	public void setMyPlayerId4(int myPlayerId4) {
		this.myPlayerId4 = myPlayerId4;
	}
	public int getMyPlayerId5() {
		return myPlayerId5;
	}
	public void setMyPlayerId5(int myPlayerId5) {
		this.myPlayerId5 = myPlayerId5;
	}
	public int getMyPlayerId6() {
		return myPlayerId6;
	}
	public void setMyPlayerId6(int myPlayerId6) {
		this.myPlayerId6 = myPlayerId6;
	}
	public int getMyPlayerId7() {
		return myPlayerId7;
	}
	public void setMyPlayerId7(int myPlayerId7) {
		this.myPlayerId7 = myPlayerId7;
	}
	public int getMyResultScore() {
		return myResultScore;
	}
	public void setMyResultScore(int myResultScore) {
		this.myResultScore = myResultScore;
	}
	public int getGameSetId() {
		return gameSetId;
	}
	public void setGameSetId(int setId) {
		this.gameSetId = setId;
	}
	public int getSetNum() {
		return setNum;
	}
	public void setSetNum(int setNum) {
		this.setNum = setNum;
	}
	public int getVsPlayerId1() {
		return vsPlayerId1;
	}
	public void setVsPlayerId1(int vsPlayerId1) {
		this.vsPlayerId1 = vsPlayerId1;
	}
	public int getVsPlayerId2() {
		return vsPlayerId2;
	}
	public void setVsPlayerId2(int vsPlayerId2) {
		this.vsPlayerId2 = vsPlayerId2;
	}
	public int getVsPlayerId3() {
		return vsPlayerId3;
	}
	public void setVsPlayerId3(int vsPlayerId3) {
		this.vsPlayerId3 = vsPlayerId3;
	}
	public int getVsPlayerId4() {
		return vsPlayerId4;
	}
	public void setVsPlayerId4(int vsPlayerId4) {
		this.vsPlayerId4 = vsPlayerId4;
	}
	public int getVsPlayerId5() {
		return vsPlayerId5;
	}
	public void setVsPlayerId5(int vsPlayerId5) {
		this.vsPlayerId5 = vsPlayerId5;
	}
	public int getVsPlayerId6() {
		return vsPlayerId6;
	}
	public void setVsPlayerId6(int vsPlayerId6) {
		this.vsPlayerId6 = vsPlayerId6;
	}
	public int getVsPlayerId7() {
		return vsPlayerId7;
	}
	public void setVsPlayerId7(int vsPlayerId7) {
		this.vsPlayerId7 = vsPlayerId7;
	}
	public int getVsResultScore() {
		return vsResultScore;
	}
	public void setVsResultScore(int vsResultScore) {
		this.vsResultScore = vsResultScore;
	}
	public String getComment() {
		return comment;
	}
	public void setComment(String comment) {
		this.comment = comment;
	}
	public int getServeStartTeamID() {
		return serveStartTeamID;
	}
	public void setServeStartTeamID(int serveStartTeamID) {
		this.serveStartTeamID = serveStartTeamID;
	}
	public int getWinTeamId() {
		return winTeamId;
	}
	public void setWinTeamId(int winTeamId) {
		this.winTeamId = winTeamId;
	}
	/**
	 * @return myPlayingPlayerId1 を戻します。
	 */
	public int getMyPlayingPlayerId1() {
		return myPlayingPlayerId1;
	}
	/**
	 * @param myPlayingPlayerId1 設定する myPlayingPlayerId1。
	 */
	public void setMyPlayingPlayerId1(int myPlayingPlayerId1) {
		this.myPlayingPlayerId1 = myPlayingPlayerId1;
	}
	/**
	 * @return myPlayingPlayerId2 を戻します。
	 */
	public int getMyPlayingPlayerId2() {
		return myPlayingPlayerId2;
	}
	/**
	 * @param myPlayingPlayerId2 設定する myPlayingPlayerId2。
	 */
	public void setMyPlayingPlayerId2(int myPlayingPlayerId2) {
		this.myPlayingPlayerId2 = myPlayingPlayerId2;
	}
	/**
	 * @return myPlayingPlayerId3 を戻します。
	 */
	public int getMyPlayingPlayerId3() {
		return myPlayingPlayerId3;
	}
	/**
	 * @param myPlayingPlayerId3 設定する myPlayingPlayerId3。
	 */
	public void setMyPlayingPlayerId3(int myPlayingPlayerId3) {
		this.myPlayingPlayerId3 = myPlayingPlayerId3;
	}
	/**
	 * @return myPlayingPlayerId4 を戻します。
	 */
	public int getMyPlayingPlayerId4() {
		return myPlayingPlayerId4;
	}
	/**
	 * @param myPlayingPlayerId4 設定する myPlayingPlayerId4。
	 */
	public void setMyPlayingPlayerId4(int myPlayingPlayerId4) {
		this.myPlayingPlayerId4 = myPlayingPlayerId4;
	}
	/**
	 * @return myPlayingPlayerId5 を戻します。
	 */
	public int getMyPlayingPlayerId5() {
		return myPlayingPlayerId5;
	}
	/**
	 * @param myPlayingPlayerId5 設定する myPlayingPlayerId5。
	 */
	public void setMyPlayingPlayerId5(int myPlayingPlayerId5) {
		this.myPlayingPlayerId5 = myPlayingPlayerId5;
	}
	/**
	 * @return myPlayingPlayerId6 を戻します。
	 */
	public int getMyPlayingPlayerId6() {
		return myPlayingPlayerId6;
	}
	/**
	 * @param myPlayingPlayerId6 設定する myPlayingPlayerId6。
	 */
	public void setMyPlayingPlayerId6(int myPlayingPlayerId6) {
		this.myPlayingPlayerId6 = myPlayingPlayerId6;
	}
	/**
	 * @return myPlayingPlayerId7 を戻します。
	 */
	public int getMyPlayingPlayerId7() {
		return myPlayingPlayerId7;
	}
	/**
	 * @param myPlayingPlayerId7 設定する myPlayingPlayerId7。
	 */
	public void setMyPlayingPlayerId7(int myPlayingPlayerId7) {
		this.myPlayingPlayerId7 = myPlayingPlayerId7;
	}
}
