package jp.co.powerbeans.vbscore.model;

/**
 * １つのプレーを保持するクラス
 * @author amonden
 *
 */
public class Play extends VBSModel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3310537953417630644L;
	/**
	 * ID
	 */
	private int playId;
	/**
	 * セット
	 */
	private int gameSetId;
	
	/**
	 * プレーした選手ID
	 */
	private int actionPlayerId;
	
	/**
	 * actionPlayerIDの所属チームID
	 */
	private int actionPlayerTeamId;
	
	/**
	 * ポイントのアクション（スパイク、サーブミス）
	 */
	private int actionDefId;

	/**
	 * アクションの結果（続行、ミス続行）
	 */
	private int actionResultDefId;
	
	/**
	 * 自チームに加算した点数 0 or 1
	 */
	private int myTeamAddPoint;
	/**
	 * 相手チームに加算した点数 0 or a
	 */
	private int vsTeamAddPoint;
	/**
	 * 自チームの加算後ポイント
	 */
	private int myTeamSumPoint;
	/**
	 * 相手チームの加算後ポイント
	 */
	private int vsTeamSumPoint;

	/**
	 * @return actionDefId を戻します。
	 */
	public int getActionDefId() {
		return actionDefId;
	}

	/**
	 * @param actionDefId 設定する actionDefId。
	 */
	public void setActionDefId(int actionId) {
		this.actionDefId = actionId;
	}

	/**
	 * @return actionPlayerId を戻します。
	 */
	public int getActionPlayerId() {
		return actionPlayerId;
	}

	/**
	 * @param actionPlayerId 設定する actionPlayerId。
	 */
	public void setActionPlayerId(int actionPlayerId) {
		this.actionPlayerId = actionPlayerId;
	}

	/**
	 * @return actionPlayerTeamId を戻します。
	 */
	public int getActionPlayerTeamId() {
		return actionPlayerTeamId;
	}

	/**
	 * @param actionPlayerTeamId 設定する actionPlayerTeamId。
	 */
	public void setActionPlayerTeamId(int actionPlayerTeamId) {
		this.actionPlayerTeamId = actionPlayerTeamId;
	}

	/**
	 * @return gameSetId を戻します。
	 */
	public int getGameSetId() {
		return gameSetId;
	}

	/**
	 * @param gameSetId 設定する gameSetId。
	 */
	public void setGameSetId(int gameSetId) {
		this.gameSetId = gameSetId;
	}

	/**
	 * @return playId を戻します。
	 */
	public int getPlayId() {
		return playId;
	}

	/**
	 * @param playId 設定する playId。
	 */
	public void setPlayId(int playId) {
		this.playId = playId;
	}

	/**
	 * @return actionResultDefId を戻します。
	 */
	public int getActionResultDefId() {
		return actionResultDefId;
	}

	/**
	 * @param actionResultDefId 設定する actionResultDefId。
	 */
	public void setActionResultDefId(int actionResultId) {
		this.actionResultDefId = actionResultId;
	}

	/**
	 * @return myTeamAddPoint を戻します。
	 */
	public int getMyTeamAddPoint() {
		return myTeamAddPoint;
	}

	/**
	 * @param myTeamAddPoint 設定する myTeamAddPoint。
	 */
	public void setMyTeamAddPoint(int myTeamAddPoint) {
		this.myTeamAddPoint = myTeamAddPoint;
	}

	/**
	 * @return myTeamSumPoint を戻します。
	 */
	public int getMyTeamSumPoint() {
		return myTeamSumPoint;
	}

	/**
	 * @param myTeamSumPoint 設定する myTeamSumPoint。
	 */
	public void setMyTeamSumPoint(int myTeamSumPoint) {
		this.myTeamSumPoint = myTeamSumPoint;
	}

	/**
	 * @return vsTeamAddPoint を戻します。
	 */
	public int getVsTeamAddPoint() {
		return vsTeamAddPoint;
	}

	/**
	 * @param vsTeamAddPoint 設定する vsTeamAddPoint。
	 */
	public void setVsTeamAddPoint(int vsTeamAddPoint) {
		this.vsTeamAddPoint = vsTeamAddPoint;
	}

	/**
	 * @return vsTeamSumPoint を戻します。
	 */
	public int getVsTeamSumPoint() {
		return vsTeamSumPoint;
	}

	/**
	 * @param vsTeamSumPoint 設定する vsTeamSumPoint。
	 */
	public void setVsTeamSumPoint(int vsTeamSumPoint) {
		this.vsTeamSumPoint = vsTeamSumPoint;
	}

}
