package jp.co.powerbeans.vbscore.swt;

import java.util.Date;

import jp.co.powerbeans.common.swt.ChkConvSwt;
import jp.co.powerbeans.vbscore.CMD;
import jp.co.powerbeans.vbscore.db.DBUtil;
import jp.co.powerbeans.vbscore.logic.ScoreMgr;
import jp.co.powerbeans.vbscore.model.Team;
import jp.co.powerbeans.vbscore.model.TeamAnalyze;

import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Table;
import org.eclipse.swt.widgets.Text;

/**
 * TODO 削除予定
 * @author amonden
 *
 */
public class Delete_AnalayzePlaySimpleSwt extends PBSwt {

//	private Composite comp;
	private Table table;
//	private Combo analyzeTypeCombo;
	private Combo teamCombo;
	private Text fromDate;
	private Text toDate;
//	private String teamId;

	static final int COLS = 8;
	static final int COLS_WIDTH = 70;
	static final int WINDOW_WIDTH = COLS * COLS_WIDTH;
	static final int WINDOW_HEIGTH = 400;

	private static final String TITLE = "プレー分析(簡易)";
	private static final String[] MENU_LABELS = {"出力(&O)　"};
	private static final String[] MENU_CMDS = {CMD.OUTPUT};
	private static final String[] TABLE_COLS = {"選手", "プレー", "結果", "回数", "%","%(個人)"};
	private static final String[] TABLE_MODEL_COLS = new String[]{"name", "actionName", "actionResultName", "times", "per", "pper"};
	private static final int[] TABLE_COL_WIDTHS = {50, 80,100, 50,40,40};
//	private static final String[] ANALYZE_TYPES = {"サーブ"};

	public Delete_AnalayzePlaySimpleSwt() {
		super();
		initialize();
	}	
	
	private void initialize() {
		createSShell(TITLE, WINDOW_WIDTH, WINDOW_HEIGTH, true);
		setGridLayout(8);
//		createComposit();
		createItems();
		createMenu();
	}

	private void createItems() {
		addLabels(COLS);
		
		// チーム選択コンボ
		setHorizontalSpan(addLabel_right("対象チーム"), 2);
		this.teamCombo = addComboBoxByModel(Team.class, "teamName", CMD.SEL_CHANGE);
		setHorizontalSpan(this.teamCombo, 4);
		selectTop(this.teamCombo);
		addLabels(2);
		
		// 分析タイプ選択コンボ
//		setHorizontalSpan(addLabel_right("分析内容"), 2);
//		this.analyzeTypeCombo = addComboBoxByModel(ActionDef.class, "actionDefId", CMD.SEL_CHANGE);
////		this.analyzeTypeCombo = addComboBox("type", ANALYZE_TYPES);
//		setHorizontalSpan(this.analyzeTypeCombo, 4);
//		selectTop(this.analyzeTypeCombo);
//		addLabels(2);
		
		// 対象期間
		setHorizontalSpan(addLabel_right("対象試合日(期間)"), 2);
		this.fromDate = addTextBox("fromDate");
		addLabel_hvcenter("～");
		this.toDate = addTextBox("toDate");
		
		addLabels(1);
		addSimpleButton(" 検索 ", CMD.SEARCH);
		addLabels(2);

		// 詳細テーブル作成
		createTable();
	}

	private void createTable() {
		if (table == null) {
			table = addSimpleTable(TABLE_COLS, TABLE_COL_WIDTHS, 200);
//			setCmdToTableOnDoubleClick(this.table, CMD.EDIT);
			setHeight(table, 200);
			setHorizontalSpan(table, COLS);
		}
	}



	private void updateTable(TeamAnalyze[] ta) {
		this.table.removeAll();
		DBUtil.modelsToSwtTable(table, DBUtil.modelsToStrings(ta, TABLE_MODEL_COLS));
	}

	private void addTable(TeamAnalyze[] ta) {
		DBUtil.modelsToSwtTable(table, DBUtil.modelsToStrings(ta, TABLE_MODEL_COLS));
	}

//	private void createComposit() {
//		if (this.comp == null) {
//		    this.comp = createNRow1ColComposit(); 
//		}
//	}

	private void createMenu() {
        create1LayerMenu(MENU_LABELS, MENU_CMDS);
	}
	
	public void cmdOutput() {
		// TODO 出力処理
	}
	
	public void cmdSearch() {
		// 検索条件取得
		int team_id = Integer.parseInt(ChkConvSwt.getSelectObjectPK(this.teamCombo));
		Date from_dt = ChkConvSwt.getDate(this.fromDate.getText());
		Date to_dt = ChkConvSwt.getDate(this.toDate.getText());

		// 検索開始
		// 1. チーム
		TeamAnalyze[] ta = ScoreMgr.analayzeSearchTeam(team_id, from_dt, to_dt);
		// 2. 選手別
		TeamAnalyze[] pa = ScoreMgr.analayzeSearchPlayers(team_id, from_dt, to_dt);
		
		// 更新
		updateTable(ta);
		addTable(pa);
	}
}
