package jp.co.powerbeans.vbscore.swt;


import jp.co.powerbeans.vbscore.CMD;
import jp.co.powerbeans.vbscore.Msg;
import jp.co.powerbeans.vbscore.db.DBManager;
import jp.co.powerbeans.vbscore.def.Defs;
import jp.co.powerbeans.vbscore.model.Player;

import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Text;

/**
 * プレイヤー編集Swt
 * @author amonden
 * 
 */
public class PlayerEditSwt extends PBSwt {

//	private Composite comp;

//	int BUTTON_WIDTH = 400;
//
//	int BUTTON_HEIGTH = 40;

	/**
	 * 実行コマンド(実行モード)
	 */
	private String cmd;

	/**
	 * チーム名テキスト
	 */
	private Text teamName;

	/**
	 * チームIDテキスト
	 */
	private Text teamId;

	/**
	 * 監督名テキスト
	 */
	private Text managerName;

	/**
	 * 編集プレイヤーID(編集モードの場合のみ利用)
	 */
	private int editPlayerId;
	/**
	 * 編集プレイヤーのチームID
	 */
	private int editTeamId;

	/**
	 * プレイヤーIDテキスト
	 */
	private Text playerId;

	/**
	 * プレイヤー名テキスト
	 */
	private Text playerName;

	/**
	 * 生年月日テキスト
	 */
	private Text birth;

	/**
	 * 身長テキスト
	 */
	private Text tall;

	/**
	 * 体重テキスト
	 */
	private Text weight;

	/**
	 * 通常背番号テキスト
	 */
	private Text stdNumber;

	/**
	 * ポジションコンボ
	 */
	private Combo posit;

	/**
	 * 電話番号テキスト
	 */
	private Text callNum;

	/**
	 * emailテキスト
	 */
	private Text email;

	/**
	 * ウィンドウ幅
	 */
	static final int WINDOW_WIDTH = 420;

	/**
	 * ウィンドウ高さ
	 */
	static final int WINDOW_HEIGTH = 300;

	/**
	 * タイトル
	 */
	private static final String TITLE = Msg.getPlayerEdit();
	/**
	 * ポジション名リスト
	 */
	private static final String[] POSITION_LIST = Defs.POSITION_NAMES;

	// private static final String[] MENU_LABELS = {"編集(&E) ","追加(&A)", "削除(&D)
	// "};
	// private static final String[] MENU_CMDS = {CMD.EDIT, CMD.ADD, CMD.DEL};

	/**
	 * コンストラクタ
	 * @param cmd 実行コマンド(EDIT or ADD)
	 * @param team_id チームID
	 * @param player_id プレイヤーID
	 */
	public PlayerEditSwt(String cmd, int team_id, int player_id) {
		super();
		this.cmd = cmd;
		this.editPlayerId = player_id;
		this.editTeamId = team_id;
		initialize();
	}

	/**
	 * 初期化
	 */
	private void initialize() {
		createSShell(TITLE, WINDOW_WIDTH, WINDOW_HEIGTH, true);
		setGridLayout(2);
		createItems();
	}

	/**
	 * Items生成
	 */
	private void createItems() {

		addLabel(Msg.getId());
		this.playerId = addTextBox("playerId");
		this.playerId.setEnabled(false);
		
		addLabel(Msg.getTeamId());
		this.teamId = addTextBox("teamId");
		this.teamId.setEnabled(false);
		this.teamId.setText("" + this.editTeamId);

		addLabel(Msg.getFullname());
		this.playerName = addTextBox("playerName");
		
		addLabel(Msg.getBirth());
		this.birth = addTextBox("birth");
		
		addLabel(Msg.getTall());
		this.tall = addTextBox("tall");
		
		addLabel(Msg.getWeight());
		this.weight = addTextBox("weight");
		
		addLabel(Msg.getNumber());
		this.stdNumber = addTextBox("stdNumber");
		
		addLabel(Msg.getPosition());
		this.posit = addComboBoxEditable("posit", POSITION_LIST);
		
		addLabel(Msg.getCallNumber());
		this.callNum = addTextBox("callNum");

		addLabel(Msg.getEmail());
		this.email = addTextBox("email");
		
		addOKButton();
		addCancelButton();
		
		if (CMD.isEdit(this.cmd)) {
			// 初期値取得
			Player m = (Player) DBManager.findByPrimaryKey(Player.class, this.editPlayerId);
			copyModelToControl(m);
		}
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.vbscore.swt.PBSwt#cmdOk()
	 */
	public void cmdOk() {
		// 保存
		Player m = (Player)copyControlToMode(Player.class);
		
		if (CMD.isADD(this.cmd)) {
			DBManager.insert(m);
		} else if (	CMD.isEdit(this.cmd)) {
			DBManager.update(m);
		}
		
		super.cmdOk();
	}
}
