package jp.co.powerbeans.vbscore.swt;


import jp.co.powerbeans.vbscore.CMD;
import jp.co.powerbeans.vbscore.Msg;
import jp.co.powerbeans.vbscore.db.DBManager;
import jp.co.powerbeans.vbscore.model.Team;

import org.eclipse.swt.widgets.Text;

/**
 * チーム編集Swt画面
 * @author amonden
 * 
 */
public class TeamEditSwt extends PBSwt {

//	int BUTTON_WIDTH = 400;
//
//	int BUTTON_HEIGTH = 40;

	/**
	 * 編集チームID(チームID)
	 */
	private int editTeamId;

	/**
	 * 実行コマンド(実行モード)
	 */
	private String cmd;

	/**
	 * チーム名テキスト
	 */
	private Text teamName;

	/**
	 * チームIDテキスト
	 */
	private Text teamId;

	/**
	 * 監督名テキスト
	 */
	private Text managerName;

	/**
	 * ウィンドウ幅
	 */
	static final int WINDOW_WIDTH = 420;

	/**
	 * ウィンドウ高さ
	 */
	static final int WINDOW_HEIGTH = 300;

	/**
	 * タイトル
	 */
	private static final String TITLE = Msg.getTeamEdit();

	// private static final String[] MENU_LABELS = {"編集(&E) ","追加(&A)", "削除(&D)
	// "};
	// private static final String[] MENU_CMDS = {CMD.EDIT, CMD.ADD, CMD.DEL};

	/**
	 * コンストラクタ
	 * @param cmd コマンド
	 * @param team_id チームID
	 */
	public TeamEditSwt(String cmd, int team_id) {
		super();
		this.cmd = cmd;
		this.editTeamId = team_id;
		initialize();
	}

	/**
	 * 初期化
	 */
	private void initialize() {
		createSShell(TITLE, WINDOW_WIDTH, WINDOW_HEIGTH, true);
		setGridLayout(2);
//		createComposit();
		// createMenu();
		createItems();
	}

	/**
	 * Items生成
	 */
	private void createItems() {

		addLabel(Msg.getId());
		this.teamId = addTextBox("teamId");
		this.teamId.setEnabled(false);

		addLabel(Msg.getTeamName());
		this.teamName = addTextBox("teamName");
		
		addLabel(Msg.getManager());
		this.managerName = addTextBox("managerName");
		
		if (CMD.isEdit(this.cmd)) {
			Team m = (Team) DBManager.findByPrimaryKey(Team.class, this.editTeamId);
			copyModelToControl(m);
		}
		
		addOKButton();
		addCancelButton();
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.vbscore.swt.PBSwt#cmdOk()
	 */
	public void cmdOk() {
		// 保存
		Team m = (Team)copyControlToMode(Team.class);
		
		if (CMD.isADD(this.cmd)) {
			DBManager.insert(m);
		} else if (	CMD.isEdit(this.cmd)) {
			DBManager.update(m);
		}
		
		super.cmdOk();
	}
	
}
