package jp.co.powerbeans.vbscore.swt.parts;

import java.util.ArrayList;
import java.util.List;

import jp.co.powerbeans.common.chart.ChartUtil;
import jp.co.powerbeans.common.swt.PBControlUtil;
import jp.co.powerbeans.vbscore.Msg;
import jp.co.powerbeans.vbscore.model.PlayerRanking;
import jp.co.powerbeans.vbscore.model.RankingDef;
import jp.co.powerbeans.vbscore.swt.chart.ChartComposit;

import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.jfree.chart.JFreeChart;


/**
 * チャートをリスト表示するGroup.
 * @author amonden
 */
public class ChartListGroup implements SelectionListener {

	private static final int COLS = 2;
	private Group group;
	private List chartList;
	private Composite parent;
	private String label;

	/**
	 * コンストラクタ
	 * @param comp 親shell
	 */
	public ChartListGroup(Composite comp) {
		this(comp,  Msg.getAnalyzeResult());
	}
	
	/**
	 * コンストラクタ
	 * @param comp 親shell
	 * @param team チーム
	 */
	public ChartListGroup(Composite comp, String label) {
		this.parent = comp;
		this.label = label;
		this.chartList = new ArrayList();
		
		createGroup();

		// TEST ダミーのチャートを追加してみる
//		addChart(ChartUtil.createDummyChart());
////		new MiniPeiChartTableComposite(getNewComponent(), new ArrayList(), "times");
//		new MiniPieChartComposit(getNewComponent(), createDataset());
//		new MiniPieChartComposit(getNewComponent(), createDataset());
//		this.chartList.add(new MiniPieChartComposit(getNewComponent(), createDataset()));
	}

	private void createGroup() {
		if (this.group != null && !this.group.isDisposed()) {
			this.group.dispose();
		}
		this.group = PBControlUtil.createGroupChadowEthedOut_FILL(this.parent, this.label, COLS, true);
		
		GridData compGrid = new GridData();
		compGrid.horizontalAlignment = GridData.FILL;
		compGrid.verticalAlignment = GridData.FILL;
		compGrid.grabExcessHorizontalSpace = true;
		compGrid.grabExcessVerticalSpace = true;
		compGrid.heightHint = 300;
		this.group.setLayoutData(compGrid);
	}

	private Composite createComponent() {
		Composite comp = PBControlUtil.createNRow1ColComposit(this.group);
		PBControlUtil.setSize(comp, 300, 300);
		return comp;
	}
    
	public void widgetSelected(SelectionEvent arg0) {
	}

	public void widgetDefaultSelected(SelectionEvent arg0) {
	}

	public void updateByRanking(PlayerRanking[] player_ranking, RankingDef rankingDef) {
		
		createGroup();
		
		JFreeChart chart = ChartUtil.createPieChartByBeans("rank", player_ranking, "name", "pser");
		new ChartComposit(createComponent(), chart);
	}

}
